scriptname sslVoiceDefaults extends sslVoiceFactory

function LoadVoices()
	; Prepare factory resources
	PrepareFactory()
	; Female voices
	RegisterVoice("FemaleClassic")
	RegisterVoice("FemaleBreathy")
	RegisterVoice("FemaleYoung")
	RegisterVoice("FemaleStimulated")
	RegisterVoice("FemaleQuiet")
	RegisterVoice("FemaleExcitable")
	RegisterVoice("FemaleAverage")
	RegisterVoice("FemaleMature")
	; Male voices
	RegisterVoice("MaleNeutral")
	RegisterVoice("MaleCalm")
	RegisterVoice("MaleRough")
	RegisterVoice("MaleAverage")
endFunction

function FemaleClassic(int id)
	sslBaseVoice Base = Create(id)

	Base.Name   = "Classic (Female)"
	Base.Gender = Female

	Base.Mild   = Game.GetFormFromFile(0x67548, "SexLab.esm") as Sound
	Base.Medium = Game.GetFormFromFile(0x67547, "SexLab.esm") as Sound
	Base.Hot    = Game.GetFormFromFile(0x67546, "SexLab.esm") as Sound

	Base.SetTags("Female,Classic,Normal")

	Base.Save(id)
endFunction

function FemaleBreathy(int id)
	sslBaseVoice Base = Create(id)

	Base.Name   = "Breathy (Female)"
	Base.Gender = Female

	Base.Mild   = Game.GetFormFromFile(0x6754B, "SexLab.esm") as Sound
	Base.Medium = Game.GetFormFromFile(0x6754A, "SexLab.esm") as Sound
	Base.Hot    = Game.GetFormFromFile(0x67549, "SexLab.esm") as Sound

	Base.SetTags("Female,Breathy,Loud,Rough")

	Base.Save(id)
endFunction

function FemaleYoung(int id)
	sslBaseVoice Base = Create(id)

	Base.Name   = "Young (Female)"
	Base.Gender = Female

	Base.Mild   = Game.GetFormFromFile(0x6754E, "SexLab.esm") as Sound
	Base.Medium = Game.GetFormFromFile(0x6754D, "SexLab.esm") as Sound
	Base.Hot    = Game.GetFormFromFile(0x6754C, "SexLab.esm") as Sound

	Base.SetTags("Female,Young,Loud")

	Base.Save(id)
endFunction

function FemaleStimulated(int id)
	sslBaseVoice Base = Create(id)

	Base.Name   = "Stimulated (Female)"
	Base.Gender = Female

	Base.Mild   = Game.GetFormFromFile(0x67551, "SexLab.esm") as Sound
	Base.Medium = Game.GetFormFromFile(0x67550, "SexLab.esm") as Sound
	Base.Hot    = Game.GetFormFromFile(0x6754F, "SexLab.esm") as Sound

	Base.SetTags("Female,Stimulated,Loud,Excited")

	Base.Save(id)
endFunction

function FemaleQuiet(int id)
	sslBaseVoice Base = Create(id)

	Base.Name   = "Quiet (Female)"
	Base.Gender = Female

	Base.Mild   = Game.GetFormFromFile(0x67554, "SexLab.esm") as Sound
	Base.Medium = Game.GetFormFromFile(0x67553, "SexLab.esm") as Sound
	Base.Hot    = Game.GetFormFromFile(0x67552, "SexLab.esm") as Sound

	Base.SetTags("Female,Quiet,Timid")

	Base.Save(id)
endFunction

function FemaleExcitable(int id)
	sslBaseVoice Base = Create(id)

	Base.Name   = "Excitable (Female)"
	Base.Gender = Female

	Base.Mild   = Game.GetFormFromFile(0x67557, "SexLab.esm") as Sound
	Base.Medium = Game.GetFormFromFile(0x67556, "SexLab.esm") as Sound
	Base.Hot    = Game.GetFormFromFile(0x67555, "SexLab.esm") as Sound


	Base.SetTags("Female,Excitable,Excited,Loud")

	Base.Save(id)
endFunction

function FemaleAverage(int id)
	sslBaseVoice Base = Create(id)

	Base.Name   = "Average (Female)"
	Base.Gender = Female

	Base.Mild   = Game.GetFormFromFile(0x6755A, "SexLab.esm") as Sound
	Base.Medium = Game.GetFormFromFile(0x67559, "SexLab.esm") as Sound
	Base.Hot    = Game.GetFormFromFile(0x67558, "SexLab.esm") as Sound

	Base.SetTags("Female,Average,Normal,Harsh")

	Base.Save(id)
endFunction

function FemaleMature(int id)
	sslBaseVoice Base = Create(id)

	Base.Name   = "Mature (Female)"
	Base.Gender = Female

	Base.Mild   = Game.GetFormFromFile(0x6755D, "SexLab.esm") as Sound
	Base.Medium = Game.GetFormFromFile(0x6755C, "SexLab.esm") as Sound
	Base.Hot    = Game.GetFormFromFile(0x6755B, "SexLab.esm") as Sound

	Base.SetTags("Female,Mature,Old,Harsh,Rough")

	Base.Save(id)
endFunction

function MaleNeutral(int id)
	sslBaseVoice Base = Create(id)
	
	Base.Name = "Neutral (Male)"
	Base.Gender = Male

	Base.Mild   = Game.GetFormFromFile(0x67560, "SexLab.esm") as Sound
	Base.Medium = Game.GetFormFromFile(0x6755F, "SexLab.esm") as Sound
	Base.Hot    = Game.GetFormFromFile(0x6755E, "SexLab.esm") as Sound

	Base.SetTags("Male,Neutral,Quiet,Normal")

	Base.Save(id)
endFunction

function MaleCalm(int id)
	sslBaseVoice Base = Create(id)

	Base.Name   = "Calm (Male)"
	Base.Gender = Male

	Base.Mild   = Game.GetFormFromFile(0x67563, "SexLab.esm") as Sound
	Base.Medium = Game.GetFormFromFile(0x67562, "SexLab.esm") as Sound
	Base.Hot    = Game.GetFormFromFile(0x67561, "SexLab.esm") as Sound

	Base.SetTags("Male,Calm,Quiet")

	Base.Save(id)
endFunction

function MaleRough(int id)
	sslBaseVoice Base = Create(id)

	Base.Name   = "Rough (Male)"
	Base.Gender = Male

	Base.Mild   = Game.GetFormFromFile(0x67566, "SexLab.esm") as Sound
	Base.Medium = Game.GetFormFromFile(0x67565, "SexLab.esm") as Sound
	Base.Hot    = Game.GetFormFromFile(0x67564, "SexLab.esm") as Sound

	Base.SetTags("Male,Rough,Harsh,Loud,Old")

	Base.Save(id)
endFunction

function MaleAverage(int id)
	sslBaseVoice Base = Create(id)
	
	Base.Name   = "Average (Male)"
	Base.Gender = Male
	
	Base.Mild   = Game.GetFormFromFile(0x67569, "SexLab.esm") as Sound
	Base.Medium = Game.GetFormFromFile(0x67568, "SexLab.esm") as Sound
	Base.Hot    = Game.GetFormFromFile(0x67567, "SexLab.esm") as Sound

	Base.SetTags("Male,Average,Normal,Quiet")

	Base.Save(id)
endFunction



function LoadCreatureVoices()
	; Prepare factory resources
	PrepareFactory()
	; Register creature voices
	RegisterVoice("ChaurusVoice01")
	RegisterVoice("DogVoice01")
	RegisterVoice("DraugrVoice01")
	RegisterVoice("FalmerVoice01")
	RegisterVoice("GiantVoice01")
	RegisterVoice("HorseVoice01")
	RegisterVoice("SprigganVoice01")
	RegisterVoice("TrollVoice01")
	RegisterVoice("WerewolfVoice01")
	RegisterVoice("WolfVoice01")
	; Register Add creature voices
	RegisterVoice("BearVoice01")
	RegisterVoice("BoarVoice01")
	RegisterVoice("DragonVoice01")
	RegisterVoice("DragonPriestVoice01")
	RegisterVoice("DwarvenCenturion01")
	RegisterVoice("DwarvenSpider01")
	RegisterVoice("Lurker01")
	RegisterVoice("Gargoyle01")
	RegisterVoice("Netche01")
	RegisterVoice("Riekling01")
	RegisterVoice("SabreCat01")
	RegisterVoice("Seeker01")
	RegisterVoice("Spider01")
	RegisterVoice("VampireLord01")
	RegisterVoice("Skeever01")
endFunction

function ChaurusVoice01(int id)
	sslBaseVoice Base = Create(id)

	Base.Name    = "Chaurus 1 (Creature)"
	Base.Gender  = Creature
	
	Base.Mild    = Game.GetFormFromFile(0x8C090, "SexLab.esm") as Sound
	Base.Medium  = Game.GetFormFromFile(0x8C090, "SexLab.esm") as Sound
	Base.Hot     = Game.GetFormFromFile(0x8C090, "SexLab.esm") as Sound

	Base.AddRaceKey("Chaurus")
	Base.AddRaceKey("Chaurusflyers")

	Base.Save(id)
endFunction

function DogVoice01(int id)
	sslBaseVoice Base = Create(id)

	Base.Name    = "Dog 1 (Creature)"
	Base.Gender  = Creature
	
	Base.Mild    = Game.GetFormFromFile(0x8C091, "SexLab.esm") as Sound
	Base.Medium  = Game.GetFormFromFile(0x8C091, "SexLab.esm") as Sound
	Base.Hot     = Game.GetFormFromFile(0x8C091, "SexLab.esm") as Sound

	Base.AddRaceKey("Dogs")
	Base.AddRaceKey("Dogpanic")

	Base.Save(id)
endFunction

function DraugrVoice01(int id)
	sslBaseVoice Base = Create(id)

	Base.Name    = "Draugr 1 (Creature)"
	Base.Gender  = Creature
	
	Base.Mild    = Game.GetFormFromFile(0x8C08C, "SexLab.esm") as Sound
	Base.Medium  = Game.GetFormFromFile(0x8C08C, "SexLab.esm") as Sound
	Base.Hot     = Game.GetFormFromFile(0x8C08C, "SexLab.esm") as Sound

	Base.AddRaceKey("Draugrs")

	Base.Save(id)
endFunction

function FalmerVoice01(int id)
	sslBaseVoice Base = Create(id)

	Base.Name    = "Falmer 1 (Creature)"
	Base.Gender  = Creature
	
	Base.Mild    = Game.GetFormFromFile(0x8C08F, "SexLab.esm") as Sound
	Base.Medium  = Game.GetFormFromFile(0x8C08F, "SexLab.esm") as Sound
	Base.Hot     = Game.GetFormFromFile(0x8C08F, "SexLab.esm") as Sound

	Base.AddRaceKey("Falmers")

	Base.Save(id)
endFunction

function GiantVoice01(int id)
	sslBaseVoice Base = Create(id)

	Base.Name    = "Giant 1 (Creature)"
	Base.Gender  = Creature
	
	Base.Mild    = Game.GetFormFromFile(0x8C08E, "SexLab.esm") as Sound
	Base.Medium  = Game.GetFormFromFile(0x8C08E, "SexLab.esm") as Sound
	Base.Hot     = Game.GetFormFromFile(0x8C08E, "SexLab.esm") as Sound

	Base.AddRaceKey("Giants")

	Base.Save(id)
endFunction

function HorseVoice01(int id)
	sslBaseVoice Base = Create(id)

	Base.Name    = "Horse 1 (Creature)"
	Base.Gender  = Creature
	
	Base.Mild    = Game.GetFormFromFile(0x8C08D, "SexLab.esm") as Sound
	Base.Medium  = Game.GetFormFromFile(0x8C08D, "SexLab.esm") as Sound
	Base.Hot     = Game.GetFormFromFile(0x8C08D, "SexLab.esm") as Sound

	Base.AddRaceKey("Horses")
	Base.AddRaceKey("Horseses")

	Base.Save(id)
endFunction

function SprigganVoice01(int id)
	sslBaseVoice Base = Create(id)

	Base.Name    = "Spriggan 1 (Creature)"
	Base.Gender  = Creature
	
	Base.Mild    = Game.GetFormFromFile(0x8C08B, "SexLab.esm") as Sound
	Base.Medium  = Game.GetFormFromFile(0x8C08B, "SexLab.esm") as Sound
	Base.Hot     = Game.GetFormFromFile(0x8C08B, "SexLab.esm") as Sound

	Base.AddRaceKey("Spriggans")
	Base.AddRaceKey("SprigganXan")

	Base.Save(id)
endFunction

function TrollVoice01(int id)
	sslBaseVoice Base = Create(id)

	Base.Name    = "Troll 1 (Creature)"
	Base.Gender  = Creature
	
	Base.Mild    = Game.GetFormFromFile(0x8C089, "SexLab.esm") as Sound
	Base.Medium  = Game.GetFormFromFile(0x8C089, "SexLab.esm") as Sound
	Base.Hot     = Game.GetFormFromFile(0x8C089, "SexLab.esm") as Sound

	Base.AddRaceKey("Trolls")

	Base.Save(id)
endFunction

function WerewolfVoice01(int id)
	sslBaseVoice Base = Create(id)

	Base.Name    = "Werewolf 1 (Creature)"
	Base.Gender  = Creature
	
	Base.Mild    = Game.GetFormFromFile(0x8C08A, "SexLab.esm") as Sound
	Base.Medium  = Game.GetFormFromFile(0x8C08A, "SexLab.esm") as Sound
	Base.Hot     = Game.GetFormFromFile(0x8C08A, "SexLab.esm") as Sound

	Base.AddRaceKey("Werewolves")
	Base.AddRaceKey("Werewolfgal")
	Base.AddRaceKey("Werewolfpanic")

	Base.Save(id)
endFunction

function WolfVoice01(int id)
	sslBaseVoice Base = Create(id)

	Base.Name    = "Wolf 1 (Creature)"
	Base.Gender  = Creature
	
	Base.Mild    = Game.GetFormFromFile(0x8B5BB, "SexLab.esm") as Sound
	Base.Medium  = Game.GetFormFromFile(0x8B5BB, "SexLab.esm") as Sound
	Base.Hot     = Game.GetFormFromFile(0x8B5BB, "SexLab.esm") as Sound

	Base.AddRaceKey("Wolves")
	Base.AddRaceKey("Wolfpanic")

	Base.Save(id)
endFunction

;Add Race Voice

function BearVoice01(int id)
	sslBaseVoice Base = Create(id)

	Base.Name    = "Bear 1 (Creature)"
	Base.Gender  = Creature
	
	Base.Mild    = Game.GetFormFromFile(0x8EC1E, "SexLab.esm") as Sound
	Base.Medium  = Game.GetFormFromFile(0x8EC1E, "SexLab.esm") as Sound
	Base.Hot     = Game.GetFormFromFile(0x8EC1E, "SexLab.esm") as Sound

	Base.AddRaceKey("Bears")

	Base.Save(id)
endFunction

function BoarVoice01(int id)
	sslBaseVoice Base = Create(id)

	Base.Name    = "Boar 1 (Creature)"
	Base.Gender  = Creature
	
	Base.Mild    = Game.GetFormFromFile(0x8EC1F, "SexLab.esm") as Sound
	Base.Medium  = Game.GetFormFromFile(0x8EC1F, "SexLab.esm") as Sound
	Base.Hot     = Game.GetFormFromFile(0x8EC1F, "SexLab.esm") as Sound

	Base.AddRaceKey("Boars")

	Base.Save(id)
endFunction

function DragonVoice01(int id)
	sslBaseVoice Base = Create(id)

	Base.Name    = "Dragon 1 (Creature)"
	Base.Gender  = Creature
	
	Base.Mild    = Game.GetFormFromFile(0x8EC20, "SexLab.esm") as Sound
	Base.Medium  = Game.GetFormFromFile(0x8EC20, "SexLab.esm") as Sound
	Base.Hot     = Game.GetFormFromFile(0x8EC20, "SexLab.esm") as Sound

	Base.AddRaceKey("Dragons")

	Base.Save(id)
endFunction

function DragonPriestVoice01(int id)
	sslBaseVoice Base = Create(id)

	Base.Name    = "DragonPriest 1 (Creature)"
	Base.Gender  = Creature
	
	Base.Mild    = Game.GetFormFromFile(0x8EC21, "SexLab.esm") as Sound
	Base.Medium  = Game.GetFormFromFile(0x8EC21, "SexLab.esm") as Sound
	Base.Hot     = Game.GetFormFromFile(0x8EC21, "SexLab.esm") as Sound

	Base.AddRaceKey("DragonPriests")

	Base.Save(id)
endFunction

function DwarvenCenturion01(int id)
	sslBaseVoice Base = Create(id)

	Base.Name    = "DwarvenCenturion 1 (Creature)"
	Base.Gender  = Creature
	
	Base.Mild    = Game.GetFormFromFile(0x8EC22, "SexLab.esm") as Sound
	Base.Medium  = Game.GetFormFromFile(0x8EC22, "SexLab.esm") as Sound
	Base.Hot     = Game.GetFormFromFile(0x8EC22, "SexLab.esm") as Sound

	Base.AddRaceKey("DwarvenCenturions")

	Base.Save(id)
endFunction

function DwarvenSpider01(int id)
	sslBaseVoice Base = Create(id)

	Base.Name    = "DwarvenSpider 1 (Creature)"
	Base.Gender  = Creature
	
	Base.Mild    = Game.GetFormFromFile(0x8EC23, "SexLab.esm") as Sound
	Base.Medium  = Game.GetFormFromFile(0x8EC23, "SexLab.esm") as Sound
	Base.Hot     = Game.GetFormFromFile(0x8EC23, "SexLab.esm") as Sound

	Base.AddRaceKey("DwarvenSpiders")

	Base.Save(id)
endFunction

function Lurker01(int id)
	sslBaseVoice Base = Create(id)

	Base.Name    = "Lurker 1 (Creature)"
	Base.Gender  = Creature
	
	Base.Mild    = Game.GetFormFromFile(0x8EC24, "SexLab.esm") as Sound
	Base.Medium  = Game.GetFormFromFile(0x8EC24, "SexLab.esm") as Sound
	Base.Hot     = Game.GetFormFromFile(0x8EC24, "SexLab.esm") as Sound

	Base.AddRaceKey("Lurkers")

	Base.Save(id)
endFunction

function Gargoyle01(int id)
	sslBaseVoice Base = Create(id)

	Base.Name    = "Gargoyle 1 (Creature)"
	Base.Gender  = Creature
	
	Base.Mild    = Game.GetFormFromFile(0x8EC25, "SexLab.esm") as Sound
	Base.Medium  = Game.GetFormFromFile(0x8EC25, "SexLab.esm") as Sound
	Base.Hot     = Game.GetFormFromFile(0x8EC25, "SexLab.esm") as Sound

	Base.AddRaceKey("Gargoyles")

	Base.Save(id)
endFunction

function Netche01(int id)
	sslBaseVoice Base = Create(id)

	Base.Name    = "Netche 1 (Creature)"
	Base.Gender  = Creature
	
	Base.Mild    = Game.GetFormFromFile(0x8EC26, "SexLab.esm") as Sound
	Base.Medium  = Game.GetFormFromFile(0x8EC26, "SexLab.esm") as Sound
	Base.Hot     = Game.GetFormFromFile(0x8EC26, "SexLab.esm") as Sound

	Base.AddRaceKey("Netches")

	Base.Save(id)
endFunction

function Riekling01(int id)
	sslBaseVoice Base = Create(id)

	Base.Name    = "Riekling 1 (Creature)"
	Base.Gender  = Creature
	
	Base.Mild    = Game.GetFormFromFile(0x8EC27, "SexLab.esm") as Sound
	Base.Medium  = Game.GetFormFromFile(0x8EC27, "SexLab.esm") as Sound
	Base.Hot     = Game.GetFormFromFile(0x8EC27, "SexLab.esm") as Sound

	Base.AddRaceKey("Rieklings")

	Base.Save(id)
endFunction

function SabreCat01(int id)
	sslBaseVoice Base = Create(id)

	Base.Name    = "SabreCat 1 (Creature)"
	Base.Gender  = Creature
	
	Base.Mild    = Game.GetFormFromFile(0x8EC28, "SexLab.esm") as Sound
	Base.Medium  = Game.GetFormFromFile(0x8EC28, "SexLab.esm") as Sound
	Base.Hot     = Game.GetFormFromFile(0x8EC28, "SexLab.esm") as Sound

	Base.AddRaceKey("SabreCats")

	Base.Save(id)
endFunction

function Seeker01(int id)
	sslBaseVoice Base = Create(id)

	Base.Name    = "Seeker 1 (Creature)"
	Base.Gender  = Creature
	
	Base.Mild    = Game.GetFormFromFile(0x8EC29, "SexLab.esm") as Sound
	Base.Medium  = Game.GetFormFromFile(0x8EC29, "SexLab.esm") as Sound
	Base.Hot     = Game.GetFormFromFile(0x8EC29, "SexLab.esm") as Sound

	Base.AddRaceKey("Seekers")

	Base.Save(id)
endFunction

function Spider01(int id)
	sslBaseVoice Base = Create(id)

	Base.Name    = "Spider 1 (Creature)"
	Base.Gender  = Creature
	
	Base.Mild    = Game.GetFormFromFile(0x8EC2A, "SexLab.esm") as Sound
	Base.Medium  = Game.GetFormFromFile(0x8EC2A, "SexLab.esm") as Sound
	Base.Hot     = Game.GetFormFromFile(0x8EC2A, "SexLab.esm") as Sound

	Base.AddRaceKey("Spiders")
	Base.AddRaceKey("LargeSpiders")
	Base.AddRaceKey("GiantSpiders")

	Base.Save(id)
endFunction

function VampireLord01(int id)
	sslBaseVoice Base = Create(id)

	Base.Name    = "VampireLord 1 (Creature)"
	Base.Gender  = Creature
	
	Base.Mild    = Game.GetFormFromFile(0x8EC2B, "SexLab.esm") as Sound
	Base.Medium  = Game.GetFormFromFile(0x8EC2B, "SexLab.esm") as Sound
	Base.Hot     = Game.GetFormFromFile(0x8EC2B, "SexLab.esm") as Sound

	Base.AddRaceKey("VampireLords")

	Base.Save(id)
endFunction

function Skeever01(int id)
	sslBaseVoice Base = Create(id)

	Base.Name    = "Skeever 1 (Creature)"
	Base.Gender  = Creature
	
	Base.Mild    = Game.GetFormFromFile(0x8EC2C, "SexLab.esm") as Sound
	Base.Medium  = Game.GetFormFromFile(0x8EC2C, "SexLab.esm") as Sound
	Base.Hot     = Game.GetFormFromFile(0x8EC2C, "SexLab.esm") as Sound

	Base.AddRaceKey("Skeevers")

	Base.Save(id)
endFunction





